package com.thailandelite.mis.migrate.card;

import lombok.Data;

import java.time.ZonedDateTime;

@Data
public class CardDB {
    private String PACKAGE_ID;
    private String PACKAGE_SMALL_PICTURE = null;
    private String PACKAGE_LARGE_PICTURE = null;
    private String PACKAGE_PATH;
    private String CARD_PICTURE = null;
    private String PACKAGE_CODE;
    private String PACKAGE_NAME_EN;
    private String PACKAGE_NAME_TH;
    private float CARD_ID;
    private float MEMBERSHIP_ID;
    private float MEMBERSHIP_VABILITY_ID;
    private float MEMBERSHIP_FEE_ID;
    private String ADDITIONNAL_FAMILY_MEMBER_ID = null;
    private float MEMBERSHIP_TRANSFER_ID;
    private float ADDITIONAL_FAMILY_MEMBER_ID;
    private float TRANSFER_FEE_ID;
    private float ANNUAL_FEE_ID;
    private float AGE_ID;
    private float VISA_ID;
    private String AIRPORT_SERVICE = null;
    private String DEPARTURE_ARRIVAL_ID = null;
    private String SH_TRANSFER_SERVICE_ID = null;
    private String LH_TRANSFER_SERVICE_ID = null;
    private String TRANSFER_SERVICE_TIME_ID = null;
    private String DISCOUNT;
    private String MEMBER_CONTACT_CENTER;
    private String GOVERNMENT_CONCIERGES;
    private String NINETY_DAY_REPORT;
    private float UPGRADE_ID;
    private String ID_PACKAGE;
    private float UPGRADE_TO_PACKAGE_ID;
    private float ID;
    private ZonedDateTime START_DATE;
    private ZonedDateTime END_DATE;
    private String REMARK = null;
    private String TERMINATE_STATUS;
    private String RECORD_STATUS;
    private ZonedDateTime CREATE_DATE = null;
    private String CREATE_USER = null;
    private String CREATE_USER_TYPE = null;
    private ZonedDateTime LAST_DATE;
    private String LAST_USER;
    private String LAST_USER_TYPE;
    private String PROJECT_ID = null;
    private String APPROVAL_LETTER_DETAIL = null;
    private String WELCOME_LETTER_DETAIL = null;
    private String PACKAGE_ID_OLD = null;
    private String PACKAGE_OLD;
    private String MEMBER_TYPE_OLD;
    private String SHOW_CORE_OTHER_STATUS = null;
    private String SHOW_AMOUNT = null;
    private String ACC_CHART_CODE;
    private String ACC_CHART_CODE_OPPOSITE;
    private String LAST_ACCOUNT_DATE;
    private String LAST_ACCOUNT_USER;
    private String ACC_CHART_CODE_ACCUMULATE;
    private String NEW_PACKAGE_STATUS;
    private String PUBLICE_STATUS;
    private String CARD_NAME_EN;
    private String MEMBERSHIP_NAME_EN;
    private float MEMBERSHIP_VABILITY_QUANTITY;
    private String MEMBERSHIP_FEE_AMOUNT;
    private String VAT_TYPE;
    private float MEMBERSHIP_TRANSFER_TIME;
    private String ADDITIONAL_FAMILY_MEMBER_AMOUNT;
    private String ADDITIONAL_FAMILY_MEMBER_LABEL;
    private String AGE_QUANTITY = null;
    private float AGE_TYPE;
    private float VISA_YEAR_QUANTITY;
    private String VISA_RENEWABLE;
    private String UPGRADE_AMOUNT;
    private String UPGARDE_STATUS;

}
